Skip to main content
POST
/
leads
/
intake
Create a lead record from intake payload
curl --request POST \
  --url https://api.leadping.ai/leads/intake \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "phoneType": "<string>",
  "dateOfBirth": "2023-12-25",
  "birthDate": "2023-12-25",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "postalCode": "<string>",
  "gender": "<string>",
  "subId": "<string>",
  "sellerLeadId": "<string>",
  "sellerLeadIdentifier": "<string>",
  "directPostPrice": "<string>",
  "price": "<string>",
  "utmSource": "<string>",
  "utmMedium": "<string>",
  "utmCampaign": "<string>",
  "utmTerm": "<string>",
  "utmContent": "<string>",
  "product": "<string>",
  "vertical": "<string>",
  "referrer": "<string>",
  "landingPage": "<string>",
  "trustedFormUrl": "<string>",
  "externalId": "<string>",
  "sourceMetadata": {},
  "tagIds": [
    "<string>"
  ],
  "tagNames": [
    "<string>"
  ]
}
'
{
  "metadata": {
    "trustedFormUrl": "<string>",
    "utmSource": "<string>",
    "utmMedium": "<string>",
    "utmCampaign": "<string>",
    "utmTerm": "<string>",
    "utmContent": "<string>",
    "referrer": "<string>",
    "landingPage": "<string>",
    "subId": "<string>",
    "pubId": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "externalId": "<string>",
    "sellerLeadId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "price": "<string>",
    "directPostPrice": "<string>",
    "product": "<string>",
    "vertical": "<string>",
    "complianceStatus": "<string>",
    "complianceBlockedReason": "<string>",
    "sourceMetadata": {},
    "origin": "<string>",
    "importBatchId": "<string>",
    "isImported": true,
    "assignedPhoneNumberId": "<string>",
    "smsConsentStatus": "<string>",
    "smsOptedOut": true,
    "smsOptOutAt": "2023-11-07T05:31:56Z",
    "smsOptInAt": "2023-11-07T05:31:56Z",
    "smsHelpRequestedAt": "2023-11-07T05:31:56Z",
    "smsConsentPhoneNumber": "<string>",
    "userId": "<string>",
    "businessId": "<string>"
  },
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "province": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "additionalInfo": "<string>"
    },
    "coordinate": {
      "latitude": "<string>",
      "longitude": "<string>"
    },
    "timeZoneId": "<string>",
    "phone": {
      "number": "<string>",
      "type": "<string>",
      "lookup": {
        "number": "<string>",
        "isValid": true,
        "location": {
          "location": "<string>",
          "state": "<string>",
          "countryCode": "<string>",
          "coordinate": {
            "latitude": "<string>",
            "longitude": "<string>"
          },
          "timeZoneId": "<string>"
        },
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z"
      }
    },
    "email": "<string>"
  },
  "customer": {
    "height": "<string>",
    "weight": "<string>",
    "birthDate": "2023-12-25",
    "income": "<string>",
    "isHomeowner": true,
    "monthsAtResidence": "<string>",
    "creditScore": "<string>",
    "hasBankruptcy": true,
    "numberOfDependents": "<string>",
    "hasMedicalCondition": true
  },
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "archivedAt": "2023-11-07T05:31:56Z",
  "archivedByUserId": "<string>",
  "archiveReason": "<unknown>",
  "archiveNote": "<string>",
  "isArchived": true,
  "currentDisposition": {
    "id": "<string>",
    "outcome": "<string>",
    "displayName": "<string>",
    "changedAt": "2023-11-07T05:31:56Z",
    "changedByUserId": "<string>",
    "changedByAutomationId": "<string>"
  },
  "tags": [
    {
      "id": "<string>",
      "name": "<string>",
      "normalizedName": "<string>",
      "color": "<string>"
    }
  ],
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Query Parameters

sourceId
string

The Leadping source id supplied as a query string parameter.

apiKey
string

The source API key supplied as a query string parameter.

Body

The common lead fields submitted by the external system.

Request payload for lead intake.

firstName
string | null

The first name value for this lead intake.

lastName
string | null

The date and time for the last name value on this lead intake.

email
string | null

The email address associated with this lead intake.

phone
string | null

The phone number associated with this lead intake.

phoneType
string | null

The phone type classification for this lead intake.

dateOfBirth
string<date> | null

The date and time for the date of birth value on this lead intake.

birthDate
string<date> | null

The date and time for the birth date value on this lead intake.

address1
string | null

The address1 value for this lead intake.

address2
string | null

The address2 value for this lead intake.

city
string | null

The city value for this lead intake.

state
string | null

The current state for this lead intake.

zip
string | null

The zip value for this lead intake.

postalCode
string | null

The postal code value for this lead intake.

gender
string | null

The gender value for this lead intake.

subId
string | null

The sub ID associated with this lead intake.

sellerLeadId
string | null

The seller lead ID associated with this lead intake.

sellerLeadIdentifier
string | null

The seller lead identifier value for this lead intake.

directPostPrice
string<double> | null

The direct post price value for this lead intake.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
price
string<double> | null

The monetary price for this lead intake.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
utmSource
string | null

The utm source value for this lead intake.

utmMedium
string | null

The utm medium value for this lead intake.

utmCampaign
string | null

The utm campaign value for this lead intake.

utmTerm
string | null

The utm term value for this lead intake.

utmContent
string | null

The utm content value for this lead intake.

product
string | null

The product value for this lead intake.

vertical
string | null

The vertical value for this lead intake.

referrer
string | null

The referrer value for this lead intake.

landingPage
string | null

The landing page value for this lead intake.

trustedFormUrl
string | null

The URL associated with this lead intake.

externalId
string | null

The external ID associated with this lead intake.

sourceMetadata
object

The source metadata key-value data carried with this lead intake; values must be safe to expose in API responses.

tagIds
string[]

Existing business tag ids to assign as part of intake.

tagNames
string[]

Business tag names to assign as part of intake.

Response

The lead response was created successfully.

API response containing lead data returned to callers.

metadata
object

Safe, non-secret metadata associated with this lead.

contact
object

The contact value for this lead.

customer
object

The profile value for this lead.

enabled
boolean
adminEnablementOverride
object
archivedAt
string<date-time> | null
archivedByUserId
string | null
archiveReason
any
archiveNote
string | null
isArchived
boolean
currentDisposition
object

Compact current disposition state stored directly on a lead and surfaced with conversation data.

tags
object[]

Tags currently assigned to this lead.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.